Index: uspace/srv/net/net/net.h
===================================================================
--- uspace/srv/net/net/net.h	(revision aadf01ebd2c032bc8dd43a6e06ae5715e6c2710f)
+++ uspace/srv/net/net/net.h	(revision a64c64d04f3d981abf5d095ae65ed7ed4b40a244)
@@ -52,44 +52,44 @@
 /*@{*/
 
+/** DP8390 network interface module full path filename.
+ */
+#define DP8390_FILENAME		"/srv/dp8390"
+
+/** DP8390 network interface module name.
+ */
+#define DP8390_NAME			"dp8390"
+
+/** Ethernet module full path filename.
+ */
+#define ETHERNET_FILENAME	"/srv/eth"
+
+/** Ethernet module name.
+ */
+#define ETHERNET_NAME		"ethernet"
+
+/** IP module full path filename.
+ */
+#define IP_FILENAME			"/srv/ip"
+
+/** IP module name.
+ */
+#define IP_NAME				"ip"
+
+/** Loopback network interface module full path filename.
+ */
+#define LO_FILENAME			"/srv/lo"
+
 /** Loopback network interface module name.
  */
 #define LO_NAME				"lo"
 
-/** Loopback network interface module full path filename.
- */
-#define LO_FILENAME			"/srv/lo"
-
-/** DP8390 network interface module name.
- */
-#define DP8390_NAME			"dp8390"
-
-/** DP8390 network interface module full path filename.
- */
-#define DP8390_FILENAME		"/srv/dp8390"
+/** Ethernet module full path filename.
+ */
+#define NILDUMMY_FILENAME	"/srv/nildummy"
 
 /** Ethernet module name.
  */
-#define ETHERNET_NAME		"ethernet"
-
-/** Ethernet module full path filename.
- */
-#define ETHERNET_FILENAME	"/srv/eth"
-
-/** Ethernet module name.
- */
 #define NILDUMMY_NAME		"nildummy"
 
-/** Ethernet module full path filename.
- */
-#define NILDUMMY_FILENAME	"/srv/nildummy"
-
-/** IP module name.
- */
-#define IP_NAME				"ip"
-
-/** IP module full path filename.
- */
-#define IP_FILENAME			"/srv/ip"
-
 /*@}*/
 
@@ -98,4 +98,20 @@
 /*@{*/
 
+/** Internet protocol module name configuration label.
+ */
+#define CONF_IL				"IL"
+
+/** Device input/output address configuration label.
+ */
+#define CONF_IO				"IO"
+
+/** Interrupt number configuration label.
+ */
+#define CONF_IRQ			"IRQ"
+
+/** Maximum transmission unit configuration label.
+ */
+#define CONF_MTU			"MTU"
+
 /** Network interface name configuration label.
  */
@@ -110,20 +126,4 @@
 #define CONF_NIL			"NIL"
 
-/** Internet protocol module name configuration label.
- */
-#define CONF_IL				"IL"
-
-/** Interrupt number configuration label.
- */
-#define CONF_IRQ			"IRQ"
-
-/** Device input/output address configuration label.
- */
-#define CONF_IO				"IO"
-
-/** Maximum transmission unit configuration label.
- */
-#define CONF_MTU			"MTU"
-
 /*@}*/
 
@@ -135,4 +135,9 @@
  */
 #define CONF_GENERAL_FILE	"general"
+
+/** Type definition of the networking module global data.
+ *  @see net_globals
+ */
+typedef struct net_globals	net_globals_t;
 
 /** Type definition of the network interface specific data.
@@ -146,8 +151,9 @@
 typedef netif_t *		netif_ref;
 
-/** Type definition of the networking module global data.
- *  @see net_globals
- */
-typedef struct net_globals	net_globals_t;
+/** Configuration settings.
+ *  Maps setting names to the values.
+ *  @see generic_char_map.h
+ */
+GENERIC_CHAR_MAP_DECLARE(measured_strings, measured_string_t)
 
 /** Present network interfaces.
@@ -157,22 +163,33 @@
 DEVICE_MAP_DECLARE(netifs, netif_t)
 
-/** Configuration settings.
- *  Maps setting names to the values.
- *  @see generic_char_map.h
- */
-GENERIC_CHAR_MAP_DECLARE(measured_strings, measured_string_t)
+/** Networking module global variables.
+ */
+struct net_globals{
+	/** Global configuration.
+	 */
+	measured_strings_t configuration;
+	/** Available modules.
+	 */
+	modules_t modules;
+	/** Network interface structure indices by names.
+	 */
+	char_map_t netif_names;
+	/** Present network interfaces.
+	 */
+	netifs_t netifs;
+};
 
 /** Present network interface device.
  */
 struct netif{
+	/** Configuration.
+	 */
+	measured_strings_t configuration;
+	/** Serving network interface driver module index.
+	 */
+	module_ref driver;
 	/** System-unique network interface identifier.
 	 */
 	device_id_t id;
-	/** Serving network interface driver module index.
-	 */
-	module_ref driver;
-	/** Serving link layer module index.
-	 */
-	module_ref nil;
 	/** Serving internet layer module index.
 	 */
@@ -181,24 +198,7 @@
 	 */
 	char * name;
-	/** Configuration.
-	 */
-	measured_strings_t configuration;
-};
-
-/** Networking module global variables.
- */
-struct net_globals{
-	/** Present network interfaces.
-	 */
-	netifs_t netifs;
-	/** Network interface structure indices by names.
-	 */
-	char_map_t netif_names;
-	/** Available modules.
-	 */
-	modules_t modules;
-	/** Global configuration.
-	 */
-	measured_strings_t configuration;
+	/** Serving link layer module index.
+	 */
+	module_ref nil;
 };
 
@@ -211,23 +211,4 @@
  */
 int add_configuration(measured_strings_ref configuration, const char * name, const char * value);
-
-/** Processes the networking message.
- *  @param[in] callid The message identifier.
- *  @param[in] call The message parameters.
- *  @param[out] answer The message answer parameters.
- *  @param[out] answer_count The last parameter for the actual answer in the answer parameter.
- *  @returns EOK on success.
- *  @returns ENOTSUP if the message is not known.
- *  @see net_interface.h
- *  @see IS_NET_NET_MESSAGE()
- */
-int net_message(ipc_callid_t callid, ipc_call_t * call, ipc_call_t * answer, int * answer_count);
-
-/** Initializes the networking module for the chosen subsystem build type.
- *  @param[in] client_connection The client connection processing function. The module skeleton propagates its own one.
- *  @returns EOK on success.
- *  @returns ENOMEM if there is not enough memory left.
- */
-int net_initialize_build(async_client_conn_t client_connection);
 
 /** Processes the module message.
@@ -243,4 +224,23 @@
 int module_message(ipc_callid_t callid, ipc_call_t * call, ipc_call_t * answer, int * answer_count);
 
+/** Initializes the networking module for the chosen subsystem build type.
+ *  @param[in] client_connection The client connection processing function. The module skeleton propagates its own one.
+ *  @returns EOK on success.
+ *  @returns ENOMEM if there is not enough memory left.
+ */
+int net_initialize_build(async_client_conn_t client_connection);
+
+/** Processes the networking message.
+ *  @param[in] callid The message identifier.
+ *  @param[in] call The message parameters.
+ *  @param[out] answer The message answer parameters.
+ *  @param[out] answer_count The last parameter for the actual answer in the answer parameter.
+ *  @returns EOK on success.
+ *  @returns ENOTSUP if the message is not known.
+ *  @see net_interface.h
+ *  @see IS_NET_NET_MESSAGE()
+ */
+int net_message(ipc_callid_t callid, ipc_call_t * call, ipc_call_t * answer, int * answer_count);
+
 #endif
 
